NestedParser (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.nested

## Class NestedParser

- java.lang.Object
- - org.eclipse.jetty.nested.NestedParser

- All Implemented Interfaces:
    Parser

      public class NestedParser
      extends Object
      implements Parser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NestedParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComplete()`
    `boolean` | `isIdle()`
    `boolean` | `isMoreInBuffer()`
    `boolean` | `isPersistent()`
    `boolean` | `parseAvailable()`
    `void` | `reset()`
    `void` | `returnBuffers()`
    `void` | `setPersistent(boolean persistent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NestedParser

          public NestedParser()

  - ### Method Detail

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `Parser`

    - #### returnBuffers

          public void returnBuffers()

      Specified by:
        `returnBuffers` in interface `Parser`

    - #### isComplete

          public boolean isComplete()

      Specified by:
        `isComplete` in interface `Parser`

    - #### parseAvailable

          public boolean parseAvailable()
                                 throws IOException

      Specified by:
        `parseAvailable` in interface `Parser`
      Returns:
        True if progress made
      Throws:
        `IOException`

    - #### isMoreInBuffer

          public boolean isMoreInBuffer()
                                 throws IOException

      Specified by:
        `isMoreInBuffer` in interface `Parser`
      Throws:
        `IOException`

    - #### isIdle

          public boolean isIdle()

      Specified by:
        `isIdle` in interface `Parser`

    - #### isPersistent

          public boolean isPersistent()

      Specified by:
        `isPersistent` in interface `Parser`

    - #### setPersistent

          public void setPersistent(boolean persistent)

      Specified by:
        `setPersistent` in interface `Parser`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.